## ros-noetic-audio-common 0.3.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(audio_common)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-audio-common (0.3.16-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 22 Dec 2022 15:00:00 -0000

ros-noetic-audio-common (0.3.15-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sun, 28 Aug 2022 15:00:00 -0000

ros-noetic-audio-common (0.3.14-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 17 Aug 2022 15:00:00 -0000

ros-noetic-audio-common (0.3.13-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Apr 2022 15:00:00 -0000

ros-noetic-audio-common (0.3.12-1buster) buster; urgency=high

  * Merge branch 'master' into master
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Tue, 31 Aug 2021 15:00:00 -0000

ros-noetic-audio-common (0.3.11-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Apr 2021 15:00:00 -0000

ros-noetic-audio-common (0.3.10-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Jan 2021 15:00:00 -0000

ros-noetic-audio-common (0.3.9-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 21 Oct 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.8-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 12 Sep 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.7-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 07 Aug 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.6-1buster) buster; urgency=high

  * Merge pull request #141 <https://github.com/ros-drivers/audio_common/issues/141> from knorth55/add-maintainer
    add maintainer
  * add maintainer
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 May 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.5-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 27 Apr 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.4-1buster) buster; urgency=high

  * Merge branch 'master' of github.com:ros-drivers/audio_common
  * Contributors: Gerard Canal

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Apr 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.3-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 21 May 2018 15:00:00 -0000

ros-noetic-audio-common (0.3.2-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 15:00:00 -0000

ros-noetic-audio-common (0.3.1-1buster) buster; urgency=high

  * Add changelogs
  * Update maintainer email
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sat, 27 Aug 2016 15:00:00 -0000

ros-noetic-audio-common (0.2.11-1buster) buster; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 15 Feb 2016 15:00:00 -0000

ros-noetic-audio-common (0.2.10-1buster) buster; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 20 Jan 2016 15:00:00 -0000

ros-noetic-audio-common (0.2.9-1buster) buster; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Dec 2015 15:00:00 -0000

ros-noetic-audio-common (0.2.8-1buster) buster; urgency=high

  * Update maintainer email
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 01 Oct 2015 15:00:00 -0000

ros-noetic-audio-common (0.2.7-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 15:00:00 -0000

ros-noetic-audio-common (0.2.6-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 25 Feb 2014 15:00:00 -0000

ros-noetic-audio-common (0.2.5-1buster) buster; urgency=high

  * "0.2.5"
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 22 Jan 2014 15:00:00 -0000

ros-noetic-audio-common (0.2.4-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 09 Sep 2013 15:00:00 -0000

ros-noetic-audio-common (0.2.3-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sun, 14 Jul 2013 15:00:00 -0000

ros-noetic-audio-common (0.2.2-1buster) buster; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 09 Apr 2013 15:00:00 -0000

ros-noetic-audio-common (0.2.1-1buster) buster; urgency=high

  * Fix metapackage for REP 127.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 04:59:00 -0000

ros-noetic-audio-common (0.2.0-1buster) buster; urgency=high

  * Versions and more URLs.
  * Convert stack.xml to metapackage package.xml
  * Start catkinizing.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 04:49:00 -0000

=== debian/control ===
Source: ros-noetic-audio-common
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/audio_common
Standards-Version: 3.9.2

Package: ros-noetic-audio-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-audio-capture, ros-noetic-audio-common-msgs, ros-noetic-audio-play, ros-noetic-sound-play
Description: Common code for working with audio in ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-audio-common//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-audio-common 0.3.17

=== debian/changelog ===
ros-noetic-audio-common (0.3.17-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Jun 2023 15:00:00 -0000

ros-noetic-audio-common (0.3.16-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 22 Dec 2022 15:00:00 -0000

ros-noetic-audio-common (0.3.15-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sun, 28 Aug 2022 15:00:00 -0000

ros-noetic-audio-common (0.3.14-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 17 Aug 2022 15:00:00 -0000

ros-noetic-audio-common (0.3.13-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Apr 2022 15:00:00 -0000

ros-noetic-audio-common (0.3.12-1focal) focal; urgency=high

  * Merge branch 'master' into master
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Tue, 31 Aug 2021 15:00:00 -0000

ros-noetic-audio-common (0.3.11-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Apr 2021 15:00:00 -0000

ros-noetic-audio-common (0.3.10-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Jan 2021 15:00:00 -0000

ros-noetic-audio-common (0.3.9-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 21 Oct 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.8-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 12 Sep 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.7-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 07 Aug 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.6-1focal) focal; urgency=high

  * Merge pull request #141 <https://github.com/ros-drivers/audio_common/issues/141> from knorth55/add-maintainer
    add maintainer
  * add maintainer
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 May 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.5-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 27 Apr 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.4-1focal) focal; urgency=high

  * Merge branch 'master' of github.com:ros-drivers/audio_common
  * Contributors: Gerard Canal

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Apr 2020 15:00:00 -0000

ros-noetic-audio-common (0.3.3-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 21 May 2018 15:00:00 -0000

ros-noetic-audio-common (0.3.2-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 15:00:00 -0000

ros-noetic-audio-common (0.3.1-1focal) focal; urgency=high

  * Add changelogs
  * Update maintainer email
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sat, 27 Aug 2016 15:00:00 -0000

ros-noetic-audio-common (0.2.11-1focal) focal; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 15 Feb 2016 15:00:00 -0000

ros-noetic-audio-common (0.2.10-1focal) focal; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 20 Jan 2016 15:00:00 -0000

ros-noetic-audio-common (0.2.9-1focal) focal; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Dec 2015 15:00:00 -0000

ros-noetic-audio-common (0.2.8-1focal) focal; urgency=high

  * Update maintainer email
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 01 Oct 2015 15:00:00 -0000

ros-noetic-audio-common (0.2.7-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 15:00:00 -0000

ros-noetic-audio-common (0.2.6-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 25 Feb 2014 15:00:00 -0000

ros-noetic-audio-common (0.2.5-1focal) focal; urgency=high

  * "0.2.5"
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 22 Jan 2014 15:00:00 -0000

ros-noetic-audio-common (0.2.4-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 09 Sep 2013 15:00:00 -0000

ros-noetic-audio-common (0.2.3-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sun, 14 Jul 2013 15:00:00 -0000

ros-noetic-audio-common (0.2.2-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 09 Apr 2013 15:00:00 -0000

ros-noetic-audio-common (0.2.1-1focal) focal; urgency=high

  * Fix metapackage for REP 127.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 04:59:00 -0000

ros-noetic-audio-common (0.2.0-1focal) focal; urgency=high

  * Versions and more URLs.
  * Convert stack.xml to metapackage package.xml
  * Start catkinizing.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 04:49:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
